Bug 55266

Summary: Remove some duplicate code from KURLGoogle.cpp
Product: WebKit Reporter: David Levin <levin>
Component: PlatformAssignee: David Levin <levin>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 24683    
Attachments:
Description Flags
Patch darin: review+, levin: commit-queue-

Description David Levin 2011-02-25 14:52:37 PST
Duplicate code is bad.
Comment 1 David Levin 2011-02-25 15:44:41 PST
Created attachment 83891 [details]
Patch
Comment 2 WebKit Review Bot 2011-02-25 18:13:55 PST
Attachment 83891 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8032494
Comment 3 David Levin 2011-02-25 18:17:07 PST
Comment on attachment 83891 [details]
Patch

Apparently I need to do some fixes for chromium so cq-. (I suspect they will be minor and if so, I'll use the r+.)
Comment 4 WebKit Review Bot 2011-02-26 15:23:36 PST
Attachment 83891 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/8043953
Comment 5 David Levin 2011-02-28 13:09:50 PST
Committed as http://trac.webkit.org/changeset/79906 (with a few minor adjustments to fix the chromium build -- gyp change and moving two constants outside of the ifdef in KURL.cpp).